This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476454 - Firefox always starts in offline mode.
Firefox always starts in offline mode.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 18:05 EST by Steven W. Orr
Modified: 2009-02-13 10:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 10:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2008-12-14 18:05:21 EST
Description of problem: Firefox always starts in offline mode. I can switch Firefox to be online but it comes up offline by default every time. 


Version-Release number of selected component (if applicable):

[root@saturn system.d]# rpm -qf NetworkManager.conf
NetworkManager-0.7.0-0.12.svn4326.fc10.i386
[root@saturn system.d]# rpm -q firefox
firefox-3.0.4-1.fc10.i386
[root@saturn system.d]# rpm -q dbus
dbus-1.2.8-1.fc10.i386
[root@saturn system.d]# 



How reproducible:

firefox 

Then see if it's online. (It's not.)

Steps to Reproduce:
1. firefox
2. 
3.
  
Actual results:

It's offline

Expected results:

Should be online.

Additional info:

I have a workaround:

Change every instance in

/etc/dbus-1/system.d/NetworkManager.conf

        of

  <allow send_interface="org.freedesktop.NetworkManager"/>
        to
  <deny send_interface="org.freedesktop.NetworkManager"/>
Comment 1 Steven W. Orr 2008-12-14 23:18:19 EST
I wanted to add a note about what my network configuration looks like. 

I have a cable modem and I get my address from my ISP through DHCP.

eth0      Link encap:Ethernet  HWaddr 00:13:D4:D1:B7:7C  
          inet addr:207.172.210.41  Bcast:255.255.255.255  Mask:255.255.255.224
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:3671731 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1809683 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:1432443064 (1.3 GiB)  TX bytes:775450714 (739.5 MiB)
          Interrupt:17
Comment 2 Dan Williams 2008-12-15 09:57:29 EST
What's the output of /usr/bin/nm-tool?

Firefox will report it is offline *if* NetworkManager is running, and you have not allowed NetworkManager to control your primary internet connection.  In this situation, either allow NetworkManager to control your primary internet connection, or turn NetworkManager off with '/sbin/chkconfig NetworkManager off'.
Comment 3 Steven W. Orr 2008-12-15 10:06:52 EST
Output of nm-tool:

521 > /usr/bin/nm-tool

NetworkManager Tool

State: disconnected


** (process:15248): WARNING **: nm_client_get_devices: error getting devices: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.NetworkManager" member "GetDevices" error name "(unset)" destination "org.freedesktop.NetworkManager")


(process:15248): GLib-CRITICAL **: g_ptr_array_foreach: assertion `array' failed
522 > 

Do I need to do something to allow NetworkManager to control my interface?
Comment 4 Dan Williams 2008-12-15 10:54:31 EST
This seems to be due to the recent dbus security update problems...  There's an update right now to dbus to revert the security fix (which didnt' affect NM anyway).  You'll want to grab that and see.  How have you configured your primary internet connection so far?
Comment 5 Steven W. Orr 2008-12-15 11:10:33 EST
"How have you configured your primary internet connection so far?"
I'm not sure how to answer that question better than I already did above. It's a dhcp connection to my cablemodem provider.

I run a yum update and verified that I have all of the latest packages:

[root@saturn ~]# rpm -qa | grep dbus
ndesk-dbus-0.6.1a-2.fc9.i386
python-slip-dbus-0.1.15-1.fc10.noarch
dbus-libs-1.2.8-1.fc10.i386
ndesk-dbus-glib-0.4.1-3.fc9.i386
dbus-glib-devel-0.76-3.fc10.i386
dbus-x11-1.2.8-1.fc10.i386
dbus-glib-0.76-3.fc10.i386
dbus-1.2.8-1.fc10.i386
dbus-qt-0.70-4.fc9.i386
dbus-python-0.83.0-3.fc10.i386
dbus-devel-1.2.8-1.fc10.i386
[root@saturn ~]# yum update dbus-libs ndesk-dbus-glib dbus-glib-devel dbus-x11 dbus-glib dbus dbus-qt dbus-python dbus-devel
Loaded plugins: priorities, refresh-packagekit
Setting up Update Process
No Packages marked for Update
[root@saturn ~]# 

I think the question still remains, which is, do I need to somehow make my interface (eth0) be managed by NetworkManager instead of by network, and if so, how do I do this?
Comment 6 Gianluca Varisco 2008-12-24 08:56:14 EST
You should be able to set your interface managed by NetworkManager using 'system-config-network'.
Comment 7 Dan Williams 2009-02-13 07:21:04 EST
(In reply to comment #3)
> Do I need to do something to allow NetworkManager to control my interface?

You have two choices really: either turn NetworkManager off if you don't want to use it (as root in a terminal, 'chkconfig NetworkManager off', then 'service NetworkManager stop'), or you can allow NetworkManager to control the interface.

Can you post the contents of your /etc/sysconfig/network-scripts/ifcfg-eth0 file?  If that has "NM_CONTROLLED=no" in it, that means NetworkManager will ignore the interface entirely.
Comment 8 Steven W. Orr 2009-02-13 07:26:20 EST
It is turned off.

*535 > cat /etc/sysconfig/network-scripts/ifcfg-eth0
# Marvell Technology Group Ltd. 88E8001 Gigabit Ethernet Controller
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:13:d4:d1:b7:7c
ONBOOT=yes
DHCP_HOSTNAME=saturn.syslang.net
SEARCH="syslang.net"
NM_CONTROLLED=no
TYPE=Ethernet
USERCTL=no
IPV6INIT=no
536 > 

That solves the problem.
Comment 9 Dan Williams 2009-02-13 10:27:15 EST
Ok, thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.